<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hwpf.model.TextPieceTable (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hwpf.model.TextPieceTable (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
               title="class in org.apache.poi.hwpf.model">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/class-use/TextPieceTable.html"
               target="_top">Frames</a></li>
        <li><a href="TextPieceTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hwpf.model.TextPieceTable" class="title">Uses of Class<br>org.apache.poi.hwpf.model.TextPieceTable
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                        title="class in org.apache.poi.hwpf.model">TextPieceTable</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf">org.apache.poi.hwpf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model">org.apache.poi.hwpf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hwpf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                   title="class in org.apache.poi.hwpf.model">TextPieceTable</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/package-summary.html">org.apache.poi.hwpf</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../../org/apache/poi/hwpf/package-summary.html">org.apache.poi.hwpf</a> that return <a
                                href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                title="class in org.apache.poi.hwpf.model">TextPieceTable</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                    title="class in org.apache.poi.hwpf.model">TextPieceTable</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocument.html#getTextTable--">getTextTable</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                    title="class in org.apache.poi.hwpf.model">TextPieceTable</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFOldDocument.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFOldDocument.html#getTextTable--">getTextTable</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>abstract <a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                    title="class in org.apache.poi.hwpf.model">TextPieceTable</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFDocumentCore.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/HWPFDocumentCore.html#getTextTable--">getTextTable</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                   title="class in org.apache.poi.hwpf.model">TextPieceTable</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                title="class in org.apache.poi.hwpf.model">TextPieceTable</a> in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/OldTextPieceTable.html"
                                    title="class in org.apache.poi.hwpf.model">OldTextPieceTable</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> declared as <a
                                href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                title="class in org.apache.poi.hwpf.model">TextPieceTable</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                    title="class in org.apache.poi.hwpf.model">TextPieceTable</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">ComplexFileTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/ComplexFileTable.html#Z:Z_tpt">_tpt</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> that return <a
                                href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                title="class in org.apache.poi.hwpf.model">TextPieceTable</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                    title="class in org.apache.poi.hwpf.model">TextPieceTable</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">ComplexFileTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/ComplexFileTable.html#getTextPieceTable--">getTextPieceTable</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                    title="class in org.apache.poi.hwpf.model">TextPieceTable</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">OldComplexFileTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/OldComplexFileTable.html#newTextPieceTable-byte:A-byte:A-int-int-int-java.nio.charset.Charset-">newTextPieceTable</a></span>(byte[]&nbsp;documentStream,
                                byte[]&nbsp;tableStream,
                                int&nbsp;offset,
                                int&nbsp;pieceTableSize,
                                int&nbsp;fcMin,
                                java.nio.charset.Charset&nbsp;charset)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                    title="class in org.apache.poi.hwpf.model">TextPieceTable</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">ComplexFileTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/ComplexFileTable.html#newTextPieceTable-byte:A-byte:A-int-int-int-java.nio.charset.Charset-">newTextPieceTable</a></span>(byte[]&nbsp;documentStream,
                                byte[]&nbsp;tableStream,
                                int&nbsp;offset,
                                int&nbsp;pieceTableSize,
                                int&nbsp;fcMin,
                                java.nio.charset.Charset&nbsp;charset)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                title="class in org.apache.poi.hwpf.model">TextPieceTable</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/CHPBinTable.html#CHPBinTable-byte:A-byte:A-int-int-int-org.apache.poi.hwpf.model.TextPieceTable-">CHPBinTable</a></span>(byte[]&nbsp;documentStream,
                                byte[]&nbsp;tableStream,
                                int&nbsp;offset,
                                int&nbsp;size,
                                int&nbsp;fcMin,
                                <a href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                   title="class in org.apache.poi.hwpf.model">TextPieceTable</a>&nbsp;tpt)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">Use
             <a href="../../../../../../org/apache/poi/hwpf/model/CHPBinTable.html#CHPBinTable-byte:A-byte:A-int-int-org.apache.poi.hwpf.model.CharIndexTranslator-"><code>CHPBinTable.CHPBinTable(byte[], byte[], int, int, CharIndexTranslator)</code></a>
             instead</span></div>
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/CHPFormattedDiskPage.html#CHPFormattedDiskPage-byte:A-int-int-org.apache.poi.hwpf.model.TextPieceTable-">CHPFormattedDiskPage</a></span>(byte[]&nbsp;documentStream,
                                int&nbsp;offset,
                                int&nbsp;fcMin,
                                <a href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                   title="class in org.apache.poi.hwpf.model">TextPieceTable</a>&nbsp;tpt)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">Use
             <a href="../../../../../../org/apache/poi/hwpf/model/CHPFormattedDiskPage.html#CHPFormattedDiskPage-byte:A-int-org.apache.poi.hwpf.model.CharIndexTranslator-"><code>CHPFormattedDiskPage.CHPFormattedDiskPage(byte[], int, CharIndexTranslator)</code></a>
             instead</span></div>
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/OldPAPBinTable.html#OldPAPBinTable-byte:A-int-int-int-org.apache.poi.hwpf.model.TextPieceTable-">OldPAPBinTable</a></span>(byte[]&nbsp;documentStream,
                                int&nbsp;offset,
                                int&nbsp;size,
                                int&nbsp;fcMin,
                                <a href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                   title="class in org.apache.poi.hwpf.model">TextPieceTable</a>&nbsp;tpt)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/OldSectionTable.html#OldSectionTable-byte:A-int-int-int-org.apache.poi.hwpf.model.TextPieceTable-">OldSectionTable</a></span>(byte[]&nbsp;documentStream,
                                int&nbsp;offset,
                                int&nbsp;size,
                                int&nbsp;fcMin,
                                <a href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                   title="class in org.apache.poi.hwpf.model">TextPieceTable</a>&nbsp;tpt)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">Use <a
                                            href="../../../../../../org/apache/poi/hwpf/model/OldSectionTable.html#OldSectionTable-byte:A-int-int-"><code>OldSectionTable.OldSectionTable(byte[],int,int)</code></a> instead</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/SectionTable.html#SectionTable-byte:A-byte:A-int-int-int-org.apache.poi.hwpf.model.TextPieceTable-int-">SectionTable</a></span>(byte[]&nbsp;documentStream,
                                byte[]&nbsp;tableStream,
                                int&nbsp;offset,
                                int&nbsp;size,
                                int&nbsp;fcMin,
                                <a href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
                                   title="class in org.apache.poi.hwpf.model">TextPieceTable</a>&nbsp;tpt,
                                int&nbsp;mainLength)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/TextPieceTable.html"
               title="class in org.apache.poi.hwpf.model">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/class-use/TextPieceTable.html"
               target="_top">Frames</a></li>
        <li><a href="TextPieceTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
